Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleTreeCondition

    java.lang.Object
      com.ibm.able.rules.AbleTreeCondition

public class AbleTreeCondition
extends java.lang.Object

This class represents a condition (a term and one or mode values) in a decision table or tree.

Field Summary
`protected AbleTreePartialExpression` | `term`
`protected java.lang.String` | `termRef`
`protected java.util.Vector` | `values`

Constructor Summary
`AbleTreeCondition()` Create a tree condition object.
`AbleTreeCondition(AbleTreePartialExpression newTerm)` Create a tree condition object with the specified term (lhs).
`AbleTreeCondition(AbleTreePartialExpression newTerm, java.util.Vector newValues)` Create a tree condition object with the specified term(lhs) and set of values (rhs).

Method Summary
`void` | `addValue(AbleTreePartialExpression newValue)` Add a single value (rhs) to this condition.
`void` | `addValues(java.util.Vector newValues)` Add a list of values (rhs) to this condition.
`AbleTreePartialExpression` | `getTerm()` Get the single term (lhs) for this condition.
`java.util.Vector` | `getValues()` Retrieve the list of values (rhs) for this condition
`void` | `setTerm(AbleTreePartialExpression newTerm)` Set the term (lhs) for this condition.
`void` | `setValues(java.util.Vector newValues)` Set the list of values (rhs) for this condition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### termRef

    protected java.lang.String termRef

### term

    protected AbleTreePartialExpression term

### values

    protected java.util.Vector values

Constructor Detail

### AbleTreeCondition

    public AbleTreeCondition()

  Create a tree condition object.

### AbleTreeCondition

    public AbleTreeCondition(AbleTreePartialExpression newTerm)

  Create a tree condition object with the specified term (lhs).

Parameters:
  `newTerm` -

### AbleTreeCondition

    public AbleTreeCondition(AbleTreePartialExpression newTerm,
                             java.util.Vector newValues)

  Create a tree condition object with the specified term(lhs) and set of values (rhs).

Parameters:
  `newTerm` -
  `newValues` -

Method Detail

### getTerm

    public AbleTreePartialExpression getTerm()

  Get the single term (lhs) for this condition.

  Returns:
    The lhs term.

### setTerm

    public void setTerm(AbleTreePartialExpression newTerm)

  Set the term (lhs) for this condition.

  Parameters:
    `newTerm` -

### getValues

    public java.util.Vector getValues()

  Retrieve the list of values (rhs) for this condition

  Returns:
    The list of values.

### setValues

    public void setValues(java.util.Vector newValues)

  Set the list of values (rhs) for this condition.

  Parameters:
    `newValues` -

### addValues

    public void addValues(java.util.Vector newValues)

  Add a list of values (rhs) to this condition.

  Parameters:
    `newValues` -

### addValue

    public void addValue(AbleTreePartialExpression newValue)

  Add a single value (rhs) to this condition.

  Parameters:
    `newValue` -

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005